zzz: usb-modeswitch 1.1.5

usb-modeswitch 1.1.5 has been released. However, I have only put it into my experimental 'zzz' package for now.

Thinking about a timeline for Wary...

It will have the 'zzz' package.

I will be getting hands-on with Vodafone and Telstra 3G modems on Tuesday/Wednesday, so probably worst case the next Wary will be uploaded by Friday.

As to whether it is another beta or an RC, I will have to see how I feel about it after building it and testing it on several of my computers.

I want to press ahead with getting Wary "out there", to counter superficial assessments that Puppy has become a "stripped down Ubuntu" -- see my previous post.


Posted on 5 Dec 2010, 16:36


Comments:

Posted on 5 Dec 2010, 17:21 by Sage
Wary timeline
Thank you for that advice - very helpful.
"stripped down Ubuntu" - who said that?!
More a stripped down fully-functional Linux?
Puppy achieves more in 120Mb than many manage in 690Mb. But it would nice if it could be built in <100Mb. A global dichotomy emerges, however (what's new). Half the world will be immensely grateful for the monumental efforts on modems. The other lucky half (most of Europe, Korea & Japan) haven't touched their modems for years. Rather begs the question as to whether there should be two releases?


Posted on 5 Dec 2010, 22:29 by adi
good idea
as a simple user read that there is a tendency of unifying linux, so using a repository instead of two is a very good idea, but there is a danger at he horizon to pay for it. hope linux will be as useful as today!


Posted on 6 Dec 2010, 5:09 by linuxcbon
quirky questions
-Does it need the extra drivers "pack" created by the remaster script ?
-At startup, with a lot of modprobe, if modules miss, xorg won't work ?
-Will you rework the rc-sysinit for simpler ?
-Do you know how to make synaptics "double-click" work ?


Posted on 8 Dec 2010, 8:58 by BarryK
usb-modeswitch 1.1.5 is broken
I am liaising with Josua on the usb-modeswitch forum about this.

In v1.1.5, Josua fixed a bug in libusb1, unfortunately that has broken it in Puppy, as Puppy uses libusb0 (version 0.1.12).

See forum thread:

http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?t=560



Posted on 8 Dec 2010, 9:29 by 01micko
libusb
libusb-0.1x and libusb-1x coexist in lupu and spup. It's needed for many usb scanners/multifunction-thingys any way. Any harm putting it in Wary that you see?


Posted on 8 Dec 2010, 20:27 by Iguleder
Second that
I also have two libusb versions in all my Woof builds. It seems one is needed for ffmpeg and scanner stuff and the other for system utilities or whatever.

By the way, Barry, if I'm already here - the guy behind the long-term-support kernels says he's going to drop 2.6.27.x soon and maintain 2.6.32.x for a while. One the latter is dropped, there won't be any long-term-support kernels unless some company or software company assigns someone, that's what happened with 2.6.35.x, some company maintains it for one of its products.

Also, from now and on there won't be any backports for fixes, i.e once 2.6.y is out, fixes will be backported to 2.6.x till the former is stable enough and that's it.

So ... my question is - what about Puppy? Puppy needs a solid kernel (as Quirky's/Lupu's 2.6.33.2). I think there's no choice but to maintain a "Puppy kernel" for each series. For instance, for 6.x, we could fork the latest stable kernel (not necessarily the last one) and make a git repo so people can backport fixes to it while it serves as a Puppy kernel.